# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-Levenshtein
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:         python-module-Levenshtein
Summary:      Python extension computing string distances and similarities
Version:      0.10.1
Release:      alt1_16

Group:        Development/Python
License:      GPLv2+

# The original site: http://trific.ath.cx/python/levenshtein/
# no longer exists so pointing to the pypi listing instead.
URL:          http://pypi.python.org/pypi/python-Levenshtein/

# The wayback machine provides this link to the original source:
# http://web.archive.org/web/20060715051500/http://trific.ath.cx/Ftp/python/levenshtein/python-Levenshtein-0.10.1.tar.bz2
# SHA1: d630141e003f47a43e0f8eacdcbf593bf9d15ed6
# The sourceforge files are a mirror of these files.
Source:       http://downloads.sourceforge.net/project/translate/%{oldname}/%{version}/%{oldname}-%{version}.tar.bz2

# The same applies to genextdoc.py see v 1.5:
# http://web.archive.org/web/20060717041205/http://trific.ath.cx/Ftp/python/genextdoc.py
# SHA1: 5c91974b102f42144529913ce181c1866451bcf6
Source1:      genextdoc.py

BuildRequires: python-devel
BuildRequires: python-module-distribute
Source44: import.info

%description
Levenshtein computes Levenshtein distances, similarity ratios, generalized
medians and set medians of Strings and Unicodes.  Because it's implemented
in C, it's much faster than corresponding Python library functions and
methods.


%prep
%setup -n %{oldname}-%{version} -q
cp %{SOURCE1} .

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build
 
%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT
PYTHONPATH=$PYTHONPATH:$RPM_BUILD_ROOT/%{python_sitelibdir} %{__python} genextdoc.py Levenshtein

%files
%doc README COPYING NEWS StringMatcher.py Levenshtein.html
%{python_sitelibdir}/*egg-info
%{python_sitelibdir}/Levenshtein.so

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_16
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_15
- initial fc import

